html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.container {
    max-width: 95vw;
}

.gridCount {
    text-align: right;
    font-size: 1rem;
    margin: 10px;
}

.form-group {
    margin: 8px 0;
}

.dx-form-group-content {
    padding-top: 19px;
    margin-top: 6px;
    border-top: 1px solid #ddd;
    padding-bottom: 20px;
}

.portfolio-bg-warning {
    background-color: PeachPuff !important;
}

.menu-tile {
    vertical-align: middle !important;
    text-align: center !important;
    background-color: #e9ecef;
    padding: 1rem !important;
    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color) !important;
}

.menu-tile:hover {
    background-color: #e4e7ea;
}

.menu-tile-link {
    text-decoration: none;
    color: #333 !important;
    
    font-size: 1rem;
}

.page-title{
    margin-top: 20px;
}


.breadcrumb-item + .breadcrumb-item::before {
    font-family: 'FontAwesome';
    content: "\f105" !important;
    color: #154c7b;
}

.breadcrumb-item a {
    text-decoration: none;
    color: #337ab7;
    font-style: italic;
}

.dx-lookup-arrow::before {
    content: "\f001" !important;
}

/* datagrid scrool */
.horizontal-scroll .dx-datagrid-content {
    top: 0;
    left: 0;
    overflow-x: auto !important;
    overflow-y: hidden !important;
}


/* datagrid disabled cloumn */
.dx-datagrid-rowsview .col-disabled {
    background-color: #f1f1f1 !important;
}

.chicken {
    background-color: #FFFFCC !important;
    border-color: #D5D5AB !important;
}

.chicken:hover {
    background-color: #FBFBC9 !important;
}

.clear-filter-btn {
    margin-right: 3px;
    color: #999;
    cursor: pointer;
}

.saveBtn .dx-button-content {
    background-color: lightgreen !important;
    border-radius: 4px;
}

.secondaryBtn .dx-button-content {
    background-color: #6c757d !important;
    border-radius: 4px;
}

.saveBtn .dx-button-content:hover {
    background-color: #86df86 !important;
}

.secondaryBtn .dx-button-content:hover {
    background-color: #677077 !important;
}

.f-right{
    float: right;
}


.fileuploader-container{
    background-color: #eee;
}


.mainSearchBox {
    width: 100%;
}


.dx-show-clear-button .dx-icon-clear {
    color: orange; /* Kolor ikony */
    background-color: blue; /* Kolor tła */
    position: absolute;
    top: 22px;
    /*left: 50%;
    transform: translate(-50%, -50%);*/ /* Wyśrodkowanie */
    width: 24px; /* Mniejszy rozmiar tła */
    height: 24px; /* Mniejszy rozmiar tła */
    border-radius: 50%; /* Okrągły kształt */
    display: flex; /* Centrowanie ikony */
    align-items: center;
    justify-content: center;
    font-size: 18px; /* Rozmiar ikony */
    line-height: 1; /* Usunięcie dodatkowego odstępu */
}

.clear-filter-btn .dx-icon-clear {
    color: orange; /* Kolor ikony */
    background-color: blue; /* Kolor tła */
    width: 24px; /* Mniejszy rozmiar tła */
    height: 24px; /* Mniejszy rozmiar tła */
    border-radius: 50%; /* Okrągły kształt */
    display: flex; /* Centrowanie ikony */
    align-items: center;
    justify-content: center;
    font-size: 18px; /* Rozmiar ikony */
}


.dx-datagrid .dx-header-filter {
    color: #ffa500;
    background: #00f;
    border-radius: 50%;
    padding: 5px;
}

.dx-datagrid .dx-header-filter-empty {
    background-color: transparent;
    border-radius: 0;
    padding: 0;
    color: #cacaca;
}

.c-pointer{
    cursor: pointer;
}

.text-right{
    text-align: right;
}
.dx-accordion-item {
    border-radius: 5px;
}

.f-14 {
    font-size: 14px;
}
.justify-content-space-between {
    justify-content: space-between;
}

/* sticky header */

.dx-datagrid .dx-datagrid-headers {
    background-color: #fff;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.dx-datagrid .dx-datagrid-columns-separator {
    z-index: 1001;
}